- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::FilterEntry Class Reference

Class for one filter entry. More...

`#include <IpFilter.hpp>`

List of all members.

## Public Member Functions
bool | Acceptable (std::vector< Number > vals) const
| Check acceptability of pair (phi,theta) with respect to this filter entry.
bool | Dominated (std::vector< Number > vals) const
| Check if this entry is dominated by given coordinates.
Constructors/Destructors
| FilterEntry (std::vector< Number > vals, Index iter)
| Constructor with the two components and the current iteration count.
| ~FilterEntry ()
| Default Destructor.
Accessor functions
Number | val (Index i) const
Index | iter () const
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| FilterEntry ()
| Default Constructor.
| FilterEntry (const FilterEntry &)
| Copy Constructor.
void | operator= (const FilterEntry &)
| Overloaded Equals Operator.
## Private Attributes
std::vector< Number > | vals_
| values defining the coordinates of the entry
const Index | iter_
| iteration number in which this entry was added to filter

## Detailed Description

Class for one filter entry.

Definition at line 21 of file IpFilter.hpp.

## Constructor & Destructor Documentation

Ipopt::FilterEntry::FilterEntry | ( | std::vector< Number > | vals,
|  | Index | iter |
| ) |  |  |

Constructor with the two components and the current iteration count.

Ipopt::FilterEntry::~FilterEntry | ( |  | ) |

Default Destructor.

Ipopt::FilterEntry::FilterEntry | ( |  | ) | `[private]`

Default Constructor.

Ipopt::FilterEntry::FilterEntry | ( | const FilterEntry & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

bool Ipopt::FilterEntry::Acceptable | ( | std::vector< Number > | vals | ) | const`[inline]`

Check acceptability of pair (phi,theta) with respect to this filter entry.

Returns true, if pair is acceptable.

Definition at line 36 of file IpFilter.hpp.

References DBG_ASSERT, and vals_.

bool Ipopt::FilterEntry::Dominated | ( | std::vector< Number > | vals | ) | const`[inline]`

Check if this entry is dominated by given coordinates.

Returns true, if this entry is dominated.

Definition at line 56 of file IpFilter.hpp.

References DBG_ASSERT, and vals_.

Number Ipopt::FilterEntry::val | ( | Index | i | ) | const`[inline]`

Definition at line 74 of file IpFilter.hpp.

References vals_.

Index Ipopt::FilterEntry::iter | ( |  | ) | const`[inline]`

Definition at line 78 of file IpFilter.hpp.

References iter_.

void Ipopt::FilterEntry::operator= | ( | const FilterEntry & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

std::vector<Number> Ipopt::FilterEntry::vals_`[private]`

values defining the coordinates of the entry

Definition at line 103 of file IpFilter.hpp.

Referenced by Acceptable(), Dominated(), and val().

const Index Ipopt::FilterEntry::iter_`[private]`

iteration number in which this entry was added to filter

Definition at line 105 of file IpFilter.hpp.

Referenced by iter().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpFilter.hpp